org.apache.poi.xssf.streaming

## Class SXSSFEvaluationWorkbook

- java.lang.Object
- - org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook
  - - org.apache.poi.xssf.streaming.SXSSFEvaluationWorkbook

- All Implemented Interfaces:
    EvaluationWorkbook, FormulaParsingWorkbook, FormulaRenderingWorkbook

      @Internal
      public final class SXSSFEvaluationWorkbook
      extends BaseXSSFEvaluationWorkbook

  SXSSF wrapper around the SXSSF and XSSF workbooks

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.EvaluationWorkbook

      `EvaluationWorkbook.ExternalName, EvaluationWorkbook.ExternalSheet, EvaluationWorkbook.ExternalSheetRange`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SXSSFEvaluationWorkbook` | `create(SXSSFWorkbook book)`
    `Ptg[]` | `getFormulaTokens(EvaluationCell evalCell)`
    `EvaluationSheet` | `getSheet(int sheetIndex)`
    `int` | `getSheetIndex(EvaluationSheet evalSheet)`

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook

      `clearAllCachedResultValues, convertFromExternSheetIndex, createName, get3DReferencePtg, get3DReferencePtg, getExternalName, getExternalName, getExternalSheet, getExternalSheet, getExternalSheetIndex, getExternalSheetIndex, getName, getName, getNameText, getNameXPtg, getSheetFirstNameByExternSheet, getSheetIndex, getSheetLastNameByExternSheet, getSheetName, getSpreadsheetVersion, getTable, getUDFFinder, resolveNameXText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SXSSFEvaluationWorkbook create(SXSSFWorkbook book)

    - #### getSheetIndex

          public int getSheetIndex(EvaluationSheet evalSheet)

      Returns:
        -1 if the specified sheet is from a different book

    - #### getSheet

          public EvaluationSheet getSheet(int sheetIndex)

    - #### getFormulaTokens

          public Ptg[] getFormulaTokens(EvaluationCell evalCell)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.